Bug 1792401 - Review Request: php-laminas-text - Laminas Framework Text component
Summary: Review Request: php-laminas-text - Laminas Framework Text component
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1792281 1792400
Blocks: 1792402
TreeView+ depends on / blocked
 
Reported: 2020-01-17 15:42 UTC by Remi Collet
Modified: 2020-01-25 09:35 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-01-25 09:35:49 UTC
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Remi Collet 2020-01-17 15:42:27 UTC
Spec URL: https://git.remirepo.net/cgit/rpms/php/laminas/php-laminas-text.git/plain/php-laminas-text.spec?id=567a4dc77fc2bd0c3f675469e953685cf5026671
SRPM URL: http://rpms.remirepo.net/SRPMS/php-laminas-text-2.7.1-1.remi.src.rpm
Description: 
Laminas\Text is a component to work on text strings.
It contains the subcomponents:

* Laminas\Text\Figlet that enables developers to create a so called FIGlet
  text. A FIGlet text is a string, which is represented as ASCII art. FIGlets
  use a special font format, called FLT (FigLet Font). By default, one standard
  font is shipped with Laminas\Text\Figlet, but you can download
  additional fonts here

* Laminas\Text\Table to create text based tables on the fly with different
  decorators. This can be helpful, if you either want to send structured data
  in text emails, which are used to have mono-spaced fonts, or to display table
  information in a CLI application. Laminas\Text\Table supports multi-line
  columns, colspan and align as well.

Documentation: https://docs.laminas.dev/laminas-text/



Fedora Account System Username: remi

Comment 1 Robert-André Mauchin 2020-01-23 19:29:56 UTC
 - Package obsoletes itself:

php-laminas-text.noarch: W: self-obsoletion php-zendframework-zend-text < 2.10.1-99 obsoletes php-zendframework-zend-text = 2.7.1-99

 - License ok
 - Latest version packaged
 - Builds in mock
 - Tests are ok
 - Conforms to Packaging Guidelines

Package approved. Please fix the aforementioned issue before import.

Comment 2 Gwyn Ciesla 2020-01-24 14:33:56 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/php-laminas-text

Comment 3 Remi Collet 2020-01-25 09:35:49 UTC
> - Package obsoletes itself:

Fixed

Thanks

Build


Note You need to log in before you can comment on or make changes to this bug.